﻿Imports System.Windows.Data

Namespace CustomLocalization
    Public Class LocalizeConverter
        Implements IValueConverter

        Public Function Convert(ByVal value As Object,
                                ByVal targetType As Type,
                                ByVal parameter As Object,
                                ByVal culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.Convert
            If value Is Nothing Then
                Return String.Empty
            End If

            Dim resources = TryCast(value, Dictionary(Of String, String))

            If resources Is Nothing Then
                Return String.Empty
            End If

            Dim param = parameter.ToString()

            If Not resources.ContainsKey(param) Then
                Return String.Empty
            End If

            Return resources(param)
        End Function

        Public Function ConvertBack(ByVal value As Object,
                                    ByVal targetType As Type,
                                    ByVal parameter As Object,
                                    ByVal culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
            Throw New NotImplementedException
        End Function
    End Class
End Namespace